<?xml version="1.0"?>
<Schema name="Corp" xmlns="urn:schemas-microsoft-com:xml-data" xmlns:dt="urn:schemas-microsoft-com:datatypes">

<!-- Defines the CorpCommand unit data for a nation -->



<!-- Attribute -->

<AttributeType name="NAME" required="yes"/>
<AttributeType name="SHOCK" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="SKIRMISH" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="FANATIC" dt:type="enumeration" dt:values="yes no"/>
<AttributeType name="ENGINEER" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="HOLYSTANDARD" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="LANCE" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="CARABINES" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="BOW" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="HORSE" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="LICORNE" dt:type="enumeration" dt:values="yes no" required="yes"/>
<AttributeType name="CAVKIND" dt:type="enumeration" dt:values="L M H C E" required="yes"/>
<AttributeType name="ARIKIND" dt:type="enumeration" dt:values="L M H S R" required="yes"/>
<AttributeType name="NORMALMORALE" dt:type="string" required="yes"/>
<AttributeType name="DEFENSEMORALE" dt:type="string" required="no"/>

<AttributeType name="YMIN" dt:type="enumeration" dt:values="1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815" required="yes"/>
<AttributeType name="YMAX" dt:type="enumeration" dt:values="1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815" required="yes"/>
<AttributeType name="MORALE" dt:type="enumeration" dt:values="Unt.Mil. Militia LWr Con Vet Crack Elite Gdr Guard OldGuard" required="yes"/>
<AttributeType name="MAXIMUM" dt:type="string" required="yes"/>
<AttributeType name="ARMY" dt:type="enumeration" dt:values="- A B C D E F G H" required="yes"/>
<AttributeType name="CORP" dt:type="enumeration" dt:values="- A B C D E F G H" required="yes"/>
<AttributeType name="DIVISION" dt:type="enumeration" dt:values="- A B C D E F G H" required="yes"/>
<AttributeType name="MODIFIER" dt:type="enumeration" dt:values="-5 -4 -3 -2 -1 0 1 2 3 4 5" required="yes"/>
<AttributeType name="CAVALRY" dt:type="enumeration" dt:values="yes no" required="no"/>








<!-- Elemente -->

<ElementType name="INFDATA" content="empty" model="closed" order="many">
	<attribute type="YMIN"/>
	<attribute type="YMAX"/>
	<attribute type="MORALE"/>
	<attribute type="MAXIMUM"/>
</ElementType>
<ElementType name="CAVDATA" content="empty" model="closed" order="many">
	<attribute type="YMIN"/>
	<attribute type="YMAX"/>
	<attribute type="MORALE"/>
	<attribute type="MAXIMUM"/>
</ElementType>
<ElementType name="ARIDATA" content="empty" model="closed" order="many">
	<attribute type="YMIN"/>
	<attribute type="YMAX"/>
	<attribute type="MORALE"/>
	<attribute type="MAXIMUM"/>
</ElementType>
<ElementType name="RNDDATA" content="empty" model="closed" order="many">
	<attribute type="YMIN"/>
	<attribute type="YMAX"/>
	<attribute type="MODIFIER"/>
</ElementType>
<ElementType name="LDRDATA" content="empty" model="closed" order="many">
	<attribute type="NAME"/>
	<attribute type="ARMY"/>
	<attribute type="CORP"/>
	<attribute type="DIVISION"/>
	<attribute type="CAVALRY" required="no"/>
	<attribute type="FANATIC" required="no"/>
</ElementType>
<ElementType name="MRLDATA" content="empty" model="closed" order="many">
	<attribute type="YMIN"/>
	<attribute type="YMAX"/>
	<attribute type="NORMALMORALE" required="yes"/>
	<attribute type="DEFENSEMORALE" required="no"/>
</ElementType>




<ElementType name="INFTYPE" content="eltOnly" model="closed" order="many">
	<attribute type="NAME"/>
	<attribute type="SHOCK"/>
	<attribute type="SKIRMISH"/>
	<attribute type="FANATIC" required="yes"/>
	<attribute type="ENGINEER"/>
	<attribute type="HOLYSTANDARD"/>
	<element type="INFDATA" minOccurs="1" maxOccurs="*"/>
</ElementType>
<ElementType name="CAVTYPE" content="eltOnly" model="closed" order="many">
	<attribute type="NAME"/>
	<attribute type="SHOCK"/>
	<attribute type="CAVKIND"/>
	<attribute type="LANCE"/>
	<attribute type="SKIRMISH"/>
	<attribute type="FANATIC" required="yes"/>
	<attribute type="CARABINES"/>
	<attribute type="BOW"/>
	<attribute type="HOLYSTANDARD" required="no"/>
	<element type="CAVDATA" minOccurs="1" maxOccurs="*"/>
</ElementType>
<ElementType name="ARITYPE" content="eltOnly" model="closed" order="many">
	<attribute type="NAME"/>
	<attribute type="SHOCK"/>
	<attribute type="ARIKIND"/>
	<attribute type="FANATIC" required="yes"/>
	<attribute type="HORSE"/>
	<attribute type="LICORNE"/>
	<element type="ARIDATA" minOccurs="1" maxOccurs="*"/>
</ElementType>
<ElementType name="RANDOM" content="eltOnly" model="closed" order="many">
	<element type="RNDDATA" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="HISTORICALLEADERS" content="eltOnly" model="closed" order="many">
	<element type="LDRDATA" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="RULE" content="textOnly" model="closed" order="many">
</ElementType>
<ElementType name="CAMPAIGNERULE" content="textOnly" model="closed" order="many">
</ElementType>



<ElementType name="MORALE" content="eltOnly" model="closed" order="many">
	<element type="MRLDATA" minOccurs="1" maxOccurs="*"/>
</ElementType>
<ElementType name="INFANTRY" content="eltOnly" model="closed" order="many"> 
	<element type="INFTYPE" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="CAVALRY" content="eltOnly" model="closed" order="many"> 
	<element type="CAVTYPE" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="ARTILLERY" content="eltOnly" model="closed" order="many"> 
	<element type="ARITYPE" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="SPECIALUNITS" content="eltOnly" model="closed" order="many"> 
	<element type="INFTYPE" minOccurs="0" maxOccurs="*"/>
	<element type="CAVTYPE" minOccurs="0" maxOccurs="*"/>
	<element type="ARITYPE" minOccurs="0" maxOccurs="*"/>
</ElementType>
<ElementType name="LEADERS" content="eltOnly" model="closed" order="seq"> 
	<element type="RANDOM" minOccurs="1" maxOccurs="1"/>
	<element type="HISTORICALLEADERS" minOccurs="1" maxOccurs="1"/>
</ElementType>
<ElementType name="RULES" content="eltOnly" model="closed" order="many"> 
	<element type="CAMPAIGNERULE" minOccurs="0" maxOccurs="*"/>
	<element type="RULE" minOccurs="0" maxOccurs="*"/>
</ElementType>



<!-- the root of all -->
<ElementType name="NATION" content="eltOnly" model="closed" order="seq">
	<attribute type="NAME"/>
	<element type="MORALE" minOccurs="1" maxOccurs="1"/>
	<element type="INFANTRY" minOccurs="1" maxOccurs="1"/>
	<element type="CAVALRY" minOccurs="1" maxOccurs="1"/>
	<element type="ARTILLERY" minOccurs="1" maxOccurs="1"/>
	<element type="SPECIALUNITS" minOccurs="1" maxOccurs="1"/>
	<element type="LEADERS" minOccurs="1" maxOccurs="1"/>
	<element type="RULES" minOccurs="1" maxOccurs="1"/>
</ElementType>

</Schema>
